org.deidentifier.arx.gui.view.impl.menu

## Class DialogProject

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - org.deidentifier.arx.gui.view.impl.menu.DialogProject

All Implemented Interfaces:
  IDialog, org.eclipse.jface.window.IShellProvider

    public class DialogProject
    extends org.eclipse.jface.dialogs.TitleAreaDialog
    implements IDialog

This class implements a dialog for creating a project.

Author:
  Fabian Prasser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK`

### Constructor Summary

Constructors
Constructor and Description
`DialogProject(org.eclipse.swt.widgets.Shell parent)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `create()`
`Model` `getProject()` Returns the resulting project.

### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

`getErrorMessage, getMessage, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getBlockedHandler, getImage, setBlockedHandler, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DialogProject

    public DialogProject(org.eclipse.swt.widgets.Shell parent)

Creates a new instance.

Parameters:
  `parent` -

### Method Detail

#### create

    public void create()

Overrides:
  `create` in class `org.eclipse.jface.dialogs.Dialog`

#### getProject

    public Model getProject()

Returns the resulting project.

Returns: